MQ_GETATTR(3)

NAME
mq_getattr - get message queue attributes (REALTIME)

LIBRARY
librt

SYNOPSIS
#include <mqueue.h>
int
mq_getattr(mqd_t mqdes, struct mq_attr *mqstat);

DESCRIPTION
The mq_getattr() function will obtain status information and attributes of the message queue and the open message queue description associated with the message queue descriptor.

The mqdes argument specifies a message queue descriptor.

The results are returned in the mq_attr structure referenced by the mqstat argument.

Upon return, the following members have the values associated with the open message queue description as set when the message queue was opened and as modified by subsequent mq_setattr(3) calls: mq_flags.

The following attributes of the message queue will be returned as set at message queue creation: mq_maxmsg, mq_msgsize.

Upon return, the following members within the mq_attr structure referenced by the mqstat argument will be set to the current state of the message queue:

mq_curmsgs
    The number of messages currently on the queue.

RETURN VALUES

ERRORS
The mq_getattr() function may fail if:

[EBADF]
    The mqdes argument is not a valid message queue descriptor.

SEE ALSO
mq(3), mq_setattr(3)

STANDARDS
This function conforms to the p1003.1-2001 standard.

HISTORY
This function first appeared in NetBSD 5.0.

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html.